<?php

namespace App\Modules\FactCurrency\Application\Create;

use App\Modules\FactCurrency\Domain\FactCurrency;
use App\Modules\FactCurrency\Domain\FactCurrencyRepository;
use Illuminate\Support\Facades\DB;

final class FactCurrencyCreator
{
    public function __construct(private FactCurrencyRepository $repository)
    {
    }

    public function __invoke(FactCurrency $creator)
    {
        return $this->repository->insert($creator);
    }
}
